curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"id": 1,
"surveyName": "Employee Device Survey",
"description": "Survey to understand device usage",
"status": "draft",
"category": "device_ownership",
"targetType": "employees",
"questions": [],
"deliveryEnableEmail": true,
"deliveryEnableSlack": false,
"isScheduleLaunch": false,
"scheduledLaunchAt": null,
"deadlineAt": null,
"destinationType": "resource_holder",
"createdAt": "2026-09-04T03:08:56.455Z",
"updatedAt": "2026-09-04T03:08:56.455Z",
"totalTargets": 5,
"totalResponses": 3
}
]
}List organization surveys
Retrieve a paginated list of surveys for the organization. Supports search, filtering by status, category, target type and date ranges, sorting, and cursor pagination.
承認
パスパラメータ
クエリパラメータ
Number of items to return per page. Default is 50, maximum is 200.
1 <= x <= 20050
Cursor for pagination. Use the nextCursor from previous response to get next page.
"eyJwYWdlIjoyLCJsaW1pdCI6NTB9"
Field to sort by. Defaults to createdAt.
createdAt, category, status, targetNumber, scheduledLaunchAt, deadlineAt, publishedAt Sort order. Defaults to DESC for createdAt.
DESC, ASC Search term to filter surveys by title, description, or content.
"Device Survey"
Filter surveys by status. Accepts multiple options.
draft, published, launched, completed, revoked Filter surveys by category.
"device_ownership"
Filter surveys by target type.
employees, devices, services Filter surveys by scheduled launch date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.
"2024-01-01:2024-12-31"
Filter surveys by deadline date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.
"2024-01-01:2024-12-31"
Filter surveys by creation date range. Format: YYYY-MM-DD:YYYY-MM-DD, separated by a colon.
"2024-01-01:2024-12-31"
このページは役に立ちましたか?

